Update executed test case time taken
PUT
/executedtestcases/{id}/updateTimeTakenTime taken to be increamented by
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, ExecutedTestCasesApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new ExecutedTestCasesApi(config);
const result = await api.updateTimeTaken({ "id": 123, "updateTimeTakenPayload": { "timeTaken": 123 }});console.log(result);curl --request PUT \ "https://api.testcollab.io/executedtestcases/123/updateTimeTaken?token=$TESTCOLLAB_TOKEN" \ --header 'Content-Type: application/json' \ --data '{ "project": 123, "time_taken": 123}'Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id |
path | number | Yes | Test Case ID |
Request body
Section titled “Request body”| Field | Type | Required | Description |
|---|---|---|---|
project |
number | No | — |
time_taken |
number | Yes | Time taken in miliseconds |
Response
Section titled “Response”200 — Success result
| Field | Type | Required | Description |
|---|---|---|---|
status |
boolean | Yes | — |
affected |
number | No | — |
message |
string | No | — |
{ "status": true, "affected": 123, "message": "example"}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |